curl 'https://api.sandbox.uqpay.org/api/v1/payers' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": [
{
{
"code": 200,
"message": "Success",
"data": [
{
"payer_id": "fcf09fa0-1313-41e8-9c1a-2d2721e4251a",
"entity_type": "individual",
"first_name": "wujing",
"last_name": "lee",
"address": "169 Ayer Rajah Crescent, #01-11 Singapore 413091",
"city": "singapore",
"state_or_province": "singapore",
"country": "SG",
"postal_code": "000000",
"date_of_birth": "1993-10-12",
"identification_type": "passport",
"identification_value": "1003123"
}
]
}
}
]
}
Payer
Get list of payers
This endpoint returns a list of payers.
GET
/
api
/
v1
/
payers
curl 'https://api.sandbox.uqpay.org/api/v1/payers' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": [
{
{
"code": 200,
"message": "Success",
"data": [
{
"payer_id": "fcf09fa0-1313-41e8-9c1a-2d2721e4251a",
"entity_type": "individual",
"first_name": "wujing",
"last_name": "lee",
"address": "169 Ayer Rajah Crescent, #01-11 Singapore 413091",
"city": "singapore",
"state_or_province": "singapore",
"country": "SG",
"postal_code": "000000",
"date_of_birth": "1993-10-12",
"identification_type": "passport",
"identification_value": "1003123"
}
]
}
}
]
}
Header
string
required
x-client-id.string
required
Bearer
YOUR_TOKEN_HERE.Parameters
Response
number
Indicates whether the call was successful. 200 if successful, 400 if not.
string
Response Message. “Success” if successful, Others not.
object
Hide details
Hide details
array
Hide details
Hide details
string
Unique UUID for the payer.
string
Payer’s entity type - company or individual.
string
The name of the company (if the payer is a company).
string
Payer’s first name.
string
Payer’s last name.
string
Line of address.
string
City of the payer.
string
State or province of the payer.
string
Country of the payer. Two-letter ISO country code.
string
Postal code of the payer.
string
Payer date of birth.
string
The legal document used to verify the identity of the payer (e.g. passport).
string
A unique reference code for the identification document, such as a passport number.
curl 'https://api.sandbox.uqpay.org/api/v1/payers' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": [
{
{
"code": 200,
"message": "Success",
"data": [
{
"payer_id": "fcf09fa0-1313-41e8-9c1a-2d2721e4251a",
"entity_type": "individual",
"first_name": "wujing",
"last_name": "lee",
"address": "169 Ayer Rajah Crescent, #01-11 Singapore 413091",
"city": "singapore",
"state_or_province": "singapore",
"country": "SG",
"postal_code": "000000",
"date_of_birth": "1993-10-12",
"identification_type": "passport",
"identification_value": "1003123"
}
]
}
}
]
}
⌘I